## python-django-celery-beat 1.1.1

=== Makefile ===
PROJ=django_celery_beat
PGPIDENT="Celery Security Team"
PYTHON=python
PYTEST=py.test
GIT=git
TOX=tox
ICONV=iconv
FLAKE8=flake8
FLAKEPLUS=flakeplus
PYDOCSTYLE=pydocstyle
SPHINX2RST=sphinx2rst

SPHINX_DIR=docs/
SPHINX_BUILDDIR="${SPHINX_DIR}/_build"
README=README.rst
README_SRC="docs/templates/readme.txt"
CONTRIBUTING=CONTRIBUTING.rst
CONTRIBUTING_SRC="docs/contributing.rst"
SPHINX_HTMLDIR="${SPHINX_BUILDDIR}/html"
DOCUMENTATION=Documentation
FLAKEPLUSTARGET=2.7

TESTDIR=t

all: help

help:
	@echo "docs                 - Build documentation."
	@echo "test-all             - Run tests for all supported python versions."
	@echo "distcheck ---------- - Check distribution for problems."
	@echo "  test               - Run unittests using current python."
	@echo "  lint ------------  - Check codebase for problems."
	@echo "    apicheck         - Check API reference coverage."
	@echo "    configcheck      - Check configuration reference coverage."
	@echo "    readmecheck      - Check README.rst encoding."
	@echo "    contribcheck     - Check CONTRIBUTING.rst encoding"
	@echo "    flakes --------  - Check code for syntax and style errors."
	@echo "      flakecheck     - Run flake8 on the source code."
	@echo "      flakepluscheck - Run flakeplus on the source code."
	@echo "      pep257check    - Run flakeplus on the source code."
	@echo "readme               - Regenerate README.rst file."
	@echo "contrib              - Regenerate CONTRIBUTING.rst file"
	@echo "clean-dist --------- - Clean all distribution build artifacts."
	@echo "  clean-git-force    - Remove all uncomitted files."
	@echo "  clean ------------ - Non-destructive clean"
	@echo "    clean-pyc        - Remove .pyc/__pycache__ files"
	@echo "    clean-docs       - Remove documentation build artifacts."
	@echo "    clean-build      - Remove setup artifacts."
	@echo "bump                 - Bump patch version number."
	@echo "bump-minor           - Bump minor version number."
	@echo "bump-major           - Bump major version number."
	@echo "release              - Make PyPI release."

clean: clean-docs clean-pyc clean-build

clean-dist: clean clean-git-force

bump:
	bumpversion patch

bump-minor:
	bumpversion minor

bump-major:
	bumpversion major

release:
	python setup.py register sdist bdist_wheel upload --sign --identity="$(PGPIDENT)"

Documentation:
	(cd "$(SPHINX_DIR)"; $(MAKE) html)
	mv "$(SPHINX_HTMLDIR)" $(DOCUMENTATION)

docs: Documentation

clean-docs:
	-rm -rf "$(SPHINX_BUILDDIR)"

lint: flakecheck apicheck configcheck readmecheck

apicheck:
	(cd "$(SPHINX_DIR)"; $(MAKE) apicheck)

configcheck:
	true

flakecheck:
	$(FLAKE8) "$(PROJ)" "$(TESTDIR)"

flakediag:
	-$(MAKE) flakecheck

flakepluscheck:
	$(FLAKEPLUS) --$(FLAKEPLUSTARGET) "$(PROJ)" "$(TESTDIR)"

flakeplusdiag:
	-$(MAKE) flakepluscheck

pep257check:
	$(PYDOCSTYLE) "$(PROJ)"

flakes: flakediag flakeplusdiag pep257check

clean-readme:
	-rm -f $(README)

readmecheck:
	$(ICONV) -f ascii -t ascii $(README) >/dev/null

$(README):
	$(SPHINX2RST) "$(README_SRC)" --ascii > $@

readme: clean-readme $(README) readmecheck

clean-contrib:
	-rm -f "$(CONTRIBUTING)"

$(CONTRIBUTING):
	$(SPHINX2RST) "$(CONTRIBUTING_SRC)" > $@

contrib: clean-contrib $(CONTRIBUTING)

clean-pyc:
	-find . -type f -a \( -name "*.pyc" -o -name "*$$py.class" \) | xargs rm
	-find . -type d -name "__pycache__" | xargs rm -r

removepyc: clean-pyc

clean-build:
	rm -rf build/ dist/ .eggs/ *.egg-info/ .tox/ .coverage cover/

clean-git:
	$(GIT) clean -xdn

clean-git-force:
	$(GIT) clean -xdf

test-all: clean-pyc
	$(TOX)

test:
	$(PYTHON) setup.py test

cov:
	(cd $(TESTDIR); $(PYTEST) -x --cov="$(PROJ)" --cov-report=html)

build:
	$(PYTHON) setup.py sdist bdist_wheel

distcheck: lint test clean

dist: readme contrib clean-dist build

=== debian/changelog ===
python-django-celery-beat (1.1.1-1) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Michael Fladischer ]
  * New upstream release.
  * Refresh patches.
  * Bump debhelper compatibility and version to 11.
  * Fix inverted substitutions for python3 and sphinx.
  * Bump Standards-Version to 4.1.3.

 -- Michael Fladischer <fladi@debian.org>  Thu, 22 Feb 2018 21:06:45 +0100

python-django-celery-beat (1.1.0-2) unstable; urgency=low

  * Add CC0 license for appveyor helper code.

 -- Michael Fladischer <fladi@debian.org>  Mon, 27 Nov 2017 10:15:59 +0100

python-django-celery-beat (1.1.0-1) unstable; urgency=low

  * New upstream release.
  * Clean up .cache to allow two builds in a row.
  * Add patch to fix expired solar tests.
  * Clean up files in django_celery_beat.egg-info to allow two builds in
    a row.
  * Skip test_modeladmin_PeriodicTaskAdmin because it hangs during
    build.
  * Bump Standards-Version to 4.1.1.
  * Enable autopkgtest-pkg-python testsuite.
  * Fix formatting of BSD-3-clause license.
  * Directly depend on python3-django.
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Move Suggests section so library suggests documentation.

 -- Michael Fladischer <fladi@debian.org>  Fri, 24 Nov 2017 12:04:13 +0100

python-django-celery-beat (1.0.1-1) unstable; urgency=low

  * Initial release (Closes: #881606).

 -- Michael Fladischer <fladi@debian.org>  Thu, 10 Aug 2017 19:20:12 +0200

=== debian/control ===
Source: python-django-celery-beat
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper (>= 11),
 dh-python,
 python3-all,
 python3-case,
 python3-celery (>= 4.1.0),
 python3-django,
 python3-pytest-django,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-celery,
Standards-Version: 4.1.3
X-Python3-Version: >= 3.4
Homepage: https://github.com/celery/django-celery-beat/
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django-celery-beat
Vcs-Git: https://salsa.debian.org/python-team/modules/python-django-celery-beat.git
Testsuite: autopkgtest-pkg-python

Package: python-django-celery-beat-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Database-backed Periodic Tasks (Python3 version)
 This extension enables you to store the periodic task schedule in the database.
 .
 The periodic tasks can be managed from the Django Admin interface, where you
 can create, edit and delete periodic tasks and how often they should run.
 .
 This package contains the documentation.

Package: python3-django-celery-beat
Architecture: all
Depends:
 python3-django,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-django-celery-beat-doc,
Description: Database-backed Periodic Tasks (Documentation)
 This extension enables you to store the periodic task schedule in the database.
 .
 The periodic tasks can be managed from the Django Admin interface, where you
 can create, edit and delete periodic tasks and how often they should run.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=django-celery-beat

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs docs/.build/html

override_dh_clean:
	rm -rf docs/.build
	rm -rf .cache
	dh_clean

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args="{interpreter} -m pytest -k 'not test_modeladmin_PeriodicTaskAdmin'"

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v([\d\.]+.*)$/python-django-celery-beat-$1/ \
https://github.com/celery/django-celery-beat/releases \
/celery/django-celery-beat/archive/v([\d\.]+)\.tar\.gz

## python-django-celery-beat 2.1.0

=== debian/changelog ===
python-django-celery-beat (2.1.0-1) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python3-Version field
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Use debhelper-compat instead of debian/compat.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Michael Fladischer ]
  * New upstream release (Closes: #973226).
  * Add python3-crontab and python3-django-timezone-field to Build-
    Depends.
  * Add python3-djangorestframework to Build-Depends, required by tests.
  * Refresh patches.
  * Bump debhelper version to 13.
  * Bump Standards-Version to 4.5.1.
  * Use uscan version 4.
  * Set Rules-Requires-Root: no.
  * Bump versioned build dependencies on python3-celery to (>= 5.0.0).
  * Bump versioned build dependencies on python3-django-timezone-field
    to (>= 4.1~).
  * Add patch to fix compatibility with timezone_field 4.1.
  * Add d/upstream/metadata.

 -- Michael Fladischer <fladi@debian.org>  Thu, 03 Dec 2020 10:56:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,29 @@
 Source: python-django-celery-beat
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-case,
- python3-celery (>= 4.1.0),
+ python3-celery (>= 5.0.0),
+ python3-crontab,
  python3-django,
+ python3-django-timezone-field (>= 4.1~),
+ python3-djangorestframework,
  python3-pytest-django,
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-celery,
-Standards-Version: 4.1.3
-X-Python3-Version: >= 3.4
+Standards-Version: 4.5.1
 Homepage: https://github.com/celery/django-celery-beat/
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django-celery-beat
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-django-celery-beat.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-celery-beat
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-celery-beat.git
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python-django-celery-beat-doc
 Section: doc

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs docs/.build/html
+	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs docs/.build/html
 
 override_dh_clean:
 	rm -rf docs/.build

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v([\d\.]+.*)$/python-django-celery-beat-$1/ \
https://github.com/celery/django-celery-beat/releases \
/celery/django-celery-beat/archive/v([\d\.]+)\.tar\.gz

## python-django-celery-beat 2.2.1

=== debian/changelog ===
python-django-celery-beat (2.2.1-2) unstable; urgency=medium

  * Refresh patches.
  * Add patch to fix compatibility with django-timezone-field >=5
    (Closes: #1006659).
  * Bump version requirement for python3-django-timezone-field to >= 5.
  * Update year in d/copyright.
  * Install testfiles using d/pybuild.testfiles.
  * Remove use of importlib when running pytest, fixed by including
    manage.py in testfiles.
  * Enable pytest celery fixtures.
  * Depend on python3-all for autopkgtests.

 -- Michael Fladischer <fladi@debian.org>  Mon, 14 Mar 2022 22:43:42 +0000

python-django-celery-beat (2.2.1-1) unstable; urgency=low

  [ Salman Mohammadi ]
  * d/control: fix the wrong description of Python3 and Doc packages
    (Closes: #931982).

  [ Michael Fladischer ]
  * New upstream release.
  * Update d/watch to work with github again.
  * Refresh patches and drop those fixed by upstream.
  * Bump Standards-Version to 4.6.0.1.
  * Add python3-pytest and python3-pytest-timeout to Build-Depends,
    required by tests.
  * Configure tests using pybuild environment variables instead of
    debhelper override.
  * Enable upstream testsuite for autopkgtests.

 -- Michael Fladischer <fladi@debian.org>  Tue, 14 Sep 2021 18:53:33 +0000

=== debian/control ===
--- 
+++ 
@@ -12,13 +12,15 @@
  python3-celery (>= 5.0.0),
  python3-crontab,
  python3-django,
- python3-django-timezone-field (>= 4.1~),
+ python3-django-timezone-field (>= 5~),
  python3-djangorestframework,
+ python3-pytest,
  python3-pytest-django,
+ python3-pytest-timeout,
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-celery,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/celery/django-celery-beat/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-celery-beat
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-celery-beat.git
@@ -31,7 +33,7 @@
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
-Description: Database-backed Periodic Tasks (Python3 version)
+Description: Database-backed Periodic Tasks (Documentation)
  This extension enables you to store the periodic task schedule in the database.
  .
  The periodic tasks can be managed from the Django Admin interface, where you
@@ -47,7 +49,7 @@
  ${python3:Depends},
 Suggests:
  python-django-celery-beat-doc,
-Description: Database-backed Periodic Tasks (Documentation)
+Description: Database-backed Periodic Tasks (Python3 version)
  This extension enables you to store the periodic task schedule in the database.
  .
  The periodic tasks can be managed from the Django Admin interface, where you

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 #export DH_VERBOSE=1
 
 export PYBUILD_NAME=django-celery-beat
+export PYBUILD_TEST_ARGS=-p celery.contrib.pytest -k "not test_heap_always_return_the_first_item and not test_run_task and not test_run_tasks"
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
@@ -16,6 +17,3 @@
 	rm -rf docs/.build
 	rm -rf .cache
 	dh_clean
-
-override_dh_auto_test:
-	dh_auto_test -- --system=custom --test-args="{interpreter} -m pytest -k 'not test_modeladmin_PeriodicTaskAdmin'"

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v([\d\.]+.*)$/python-django-celery-beat-$1/ \
https://github.com/celery/django-celery-beat/releases \
/celery/django-celery-beat/archive/refs/tags/v([\d\.]+)\.tar\.gz

## python-django-celery-beat 2.3.0

=== debian/changelog ===
python-django-celery-beat (2.3.0-1) unstable; urgency=low

  * New upstream release (Closes: #1013534).
  * Drop django-timezone-field compatibility patch, fixed by upstream.
  * Refresh patches.
  * Remove CC0 license for extras/appveyor as it is no longer part of
    upstream source.
  * Bump Standards-Version to 4.6.1.0.
  * Rebuild translations from source.
  * Add patch to unfuzzy translations.
  * Use local objects.inv for intersphinx in documentation.

 -- Michael Fladischer <fladi@debian.org>  Mon, 27 Jun 2022 07:06:27 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,11 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ python-django-doc,
+ python-celery-doc,
  python3-all,
+ python3-doc,
+ python3-babel,
  python3-case,
  python3-celery (>= 5.0.0),
  python3-crontab,
@@ -20,7 +24,8 @@
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-celery,
-Standards-Version: 4.6.0.1
+ sphinx-doc,
+Standards-Version: 4.6.1.0
 Homepage: https://github.com/celery/django-celery-beat/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-celery-beat
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-celery-beat.git

## python-django-celery-beat 2.4.0

=== debian/changelog ===
python-django-celery-beat (2.4.0-1) unstable; urgency=low

  * New upstream release.
  * Use github tags instead of releases for d/watch.
  * Refresh patches.

 -- Michael Fladischer <fladi@debian.org>  Thu, 03 Nov 2022 13:33:13 +0000

python-django-celery-beat (2.3.0-2) unstable; urgency=medium

  * Team upload.
  * Remove no-op patch just fixing a typo in comment.
  * Add patch dropping requirement on tzdata.  Closes: #1017479
  * Mark the -doc package as M-A:foreign (from the m-a hinter).

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 19 Sep 2022 21:39:32 +0200

=== debian/control ===
--- 
+++ 
@@ -35,6 +35,7 @@
 Package: python-django-celery-beat-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,10 @@
 override_dh_auto_build:
 	dh_auto_build
 	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs docs/.build/html
+	set -e; \
+	for loc in django_celery_beat/locale/*; do \
+		python3 setup.py compile_catalog --directory django_celery_beat/locale/ --locale $$(basename $$loc) --domain django; \
+	done
 
 override_dh_clean:
 	rm -rf docs/.build

## python-django-celery-beat 2.5.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 PROJ=django_celery_beat
 PGPIDENT="Celery Security Team"
 PYTHON=python
-PYTEST=py.test
+PYTEST=pytest
 GIT=git
 TOX=tox
 ICONV=iconv

=== debian/changelog ===
python-django-celery-beat (2.5.0-2) unstable; urgency=medium

  * Bump minimum celery version to 5.3.0.
  * Add patch to satisfy assinine sphinx 7.x parsing logic for copyright year
    substitution (Closes: #1042656).
  * Build using pybuild-plugin-pyproject.

 -- Michael Fladischer <fladi@debian.org>  Thu, 16 Nov 2023 13:41:20 +0000

python-django-celery-beat (2.5.0-1) unstable; urgency=medium

  * New upstream version 2.5.0
  * Refresh patches.
  * Add python3-cron-descriptor to Build-Depends, required by tests.
  * Add patch to fix language field in django.po files.
  * Add patch to fix tests with celery 5.3 (Closes: #1039611).
  * Bump Standards-Version to 4.6.2.
  * Update d/copyright with new years.

 -- Michael Fladischer <fladi@debian.org>  Thu, 29 Jun 2023 12:59:36 +0000

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,15 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ pybuild-plugin-pyproject,
  python-django-doc,
  python-celery-doc,
  python3-all,
  python3-doc,
  python3-babel,
  python3-case,
- python3-celery (>= 5.0.0),
+ python3-celery (>= 5.3.0),
+ python3-cron-descriptor,
  python3-crontab,
  python3-django,
  python3-django-timezone-field (>= 5~),
@@ -25,7 +27,7 @@
  python3-sphinx,
  python3-sphinx-celery,
  sphinx-doc,
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/celery/django-celery-beat/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-celery-beat
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-celery-beat.git

## python-django-celery-beat 2.6.0

=== debian/changelog ===
python-django-celery-beat (2.6.0-2) unstable; urgency=medium

  * Team upload.
  * Remove python3-case from Build-Depends.

 -- Alexandre Detiste <tchet@debian.org>  Wed, 15 May 2024 00:40:14 +0200

python-django-celery-beat (2.6.0-1) unstable; urgency=low

  * New upstream version 2.6.0
  * Refresh patches.
  * Update year in d/copyright.
  * Use dh-sequence-python3.
  * Add python-django-celery-results-doc to Build-Depends, required for
    intersphinx.
  * Add python3-sphinxcontrib.django to Build-Depends, required by
    documentation.

 -- Michael Fladischer <fladi@debian.org>  Sat, 27 Apr 2024 22:53:27 +0000

=== debian/control ===
--- 
+++ 
@@ -6,26 +6,27 @@
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  pybuild-plugin-pyproject,
+ python-celery-doc,
+ python-django-celery-results-doc,
  python-django-doc,
- python-celery-doc,
  python3-all,
- python3-doc,
  python3-babel,
- python3-case,
  python3-celery (>= 5.3.0),
  python3-cron-descriptor,
  python3-crontab,
  python3-django,
  python3-django-timezone-field (>= 5~),
  python3-djangorestframework,
+ python3-doc,
  python3-pytest,
  python3-pytest-django,
  python3-pytest-timeout,
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-celery,
+ python3-sphinxcontrib.django,
  sphinx-doc,
 Standards-Version: 4.6.2
 Homepage: https://github.com/celery/django-celery-beat/

## python-django-celery-beat 2.7.0

=== Makefile ===
--- 
+++ 
@@ -45,7 +45,7 @@
 	@echo "  clean ------------ - Non-destructive clean"
 	@echo "    clean-pyc        - Remove .pyc/__pycache__ files"
 	@echo "    clean-docs       - Remove documentation build artifacts."
-	@echo "    clean-build      - Remove setup artifacts."
+	@echo "    clean-build      - Remove build artifacts."
 	@echo "bump                 - Bump patch version number."
 	@echo "bump-minor           - Bump minor version number."
 	@echo "bump-major           - Bump major version number."
@@ -65,7 +65,9 @@
 	bumpversion major
 
 release:
-	python setup.py register sdist bdist_wheel upload --sign --identity="$(PGPIDENT)"
+	python -m pip install --upgrade build twine
+	python -m build
+	twine upload --sign --identity="$(PGPIDENT) dist/*"
 
 Documentation:
 	(cd "$(SPHINX_DIR)"; $(MAKE) html)
@@ -139,13 +141,13 @@
 	$(TOX)
 
 test:
-	$(PYTHON) setup.py test
+	$(PYTHON) -m $(PYTEST)
 
 cov:
 	(cd $(TESTDIR); $(PYTEST) -x --cov="$(PROJ)" --cov-report=html)
 
 build:
-	$(PYTHON) setup.py sdist bdist_wheel
+	$(PYTHON) -m build
 
 distcheck: lint test clean

=== debian/changelog ===
python-django-celery-beat (2.7.0-2) unstable; urgency=medium

  * Team upload.
  * Remove extraneous build-dep: python3-babel & python3-djangorestframework
  * Trim autopkgtest dependencies, avoid @builddeps@
  * Trim d/rules with newer syntax

 -- Alexandre Detiste <tchet@debian.org>  Tue, 25 Feb 2025 08:23:29 +0100

python-django-celery-beat (2.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 09 Sep 2024 11:56:11 +0100

=== debian/control ===
--- 
+++ 
@@ -12,13 +12,11 @@
  python-django-celery-results-doc,
  python-django-doc,
  python3-all,
- python3-babel,
  python3-celery (>= 5.3.0),
  python3-cron-descriptor,
  python3-crontab,
  python3-django,
  python3-django-timezone-field (>= 5~),
- python3-djangorestframework,
  python3-doc,
  python3-pytest,
  python3-pytest-django,

=== debian/tests/control ===
Tests: upstream
Depends:
 python3-all,
 python3-pytest,
 python3-pytest-django,
 python3-pytest-timeout,
 @,
Restrictions: allow-stderr

## python-django-celery-beat 2.8.1

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,6 @@
 TOX=tox
 ICONV=iconv
 FLAKE8=flake8
-FLAKEPLUS=flakeplus
 PYDOCSTYLE=pydocstyle
 SPHINX2RST=sphinx2rst
 
@@ -18,7 +17,6 @@
 CONTRIBUTING_SRC="docs/contributing.rst"
 SPHINX_HTMLDIR="${SPHINX_BUILDDIR}/html"
 DOCUMENTATION=Documentation
-FLAKEPLUSTARGET=2.7
 
 TESTDIR=t
 
@@ -36,7 +34,6 @@
 	@echo "    contribcheck     - Check CONTRIBUTING.rst encoding"
 	@echo "    flakes --------  - Check code for syntax and style errors."
 	@echo "      flakecheck     - Run flake8 on the source code."
-	@echo "      flakepluscheck - Run flakeplus on the source code."
 	@echo "      pep257check    - Run flakeplus on the source code."
 	@echo "readme               - Regenerate README.rst file."
 	@echo "contrib              - Regenerate CONTRIBUTING.rst file"
@@ -92,16 +89,10 @@
 flakediag:
 	-$(MAKE) flakecheck
 
-flakepluscheck:
-	$(FLAKEPLUS) --$(FLAKEPLUSTARGET) "$(PROJ)" "$(TESTDIR)"
-
-flakeplusdiag:
-	-$(MAKE) flakepluscheck
-
 pep257check:
 	$(PYDOCSTYLE) "$(PROJ)"
 
-flakes: flakediag flakeplusdiag pep257check
+flakes: flakediag pep257check
 
 clean-readme:
 	-rm -f $(README)

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
	$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don\'t have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  apicheck   to verify that all modules are present in autodoc"
	@echo "  configcheck to verify that all modules are present in autodoc"
	@echo "  spelling   to run a spell checker on the documentation"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PROJ.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PROJ.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PROJ"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PROJ"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/django_celery_beat/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/django_celery_beat/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: apicheck
apicheck:
	$(SPHINXBUILD) -b apicheck $(ALLSPHINXOPTS) $(BUILDDIR)/apicheck

.PHONY: configcheck
configcheck:
	$(SPHINXBUILD) -b configcheck $(ALLSPHINXOPTS) $(BUILDDIR)/configcheck

.PHONY: spelling
spelling:
	SPELLCHECK=1 $(SPHINXBUILD) -b spelling $(ALLSPHINXOPTS) $(BUILDDIR)/spelling

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-django-celery-beat (2.8.1-1) unstable; urgency=low

  * New upstream version 2.8.1
  * Bump Standards-Version to 4.7.2.
  * Update year in d/copyright.
  * Run wrap-and-sort -bast to reduce diff size of future changes.

 -- Michael Fladischer <fladi@debian.org>  Wed, 13 Aug 2025 10:14:41 +0000

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
  python3-sphinx-celery,
  python3-sphinxcontrib.django,
  sphinx-doc,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/celery/django-celery-beat/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-celery-beat
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-celery-beat.git

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=django-celery-beat
export PYBUILD_TEST_ARGS=-p celery.contrib.pytest -k "not test_heap_always_return_the_first_item and not test_run_task and not test_run_tasks"

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build:
	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs docs/.build/html
	set -e; \
	for loc in django_celery_beat/locale/*; do \
		python3 setup.py compile_catalog --directory django_celery_beat/locale/ --locale $$(basename $$loc) --domain django; \
	done

execute_before_dh_clean:
	rm -rf docs/.build
	rm -rf .cache

=== debian/tests/control ===
Tests:
 upstream,
Depends:
 python3-all,
 python3-pytest,
 python3-pytest-django,
 python3-pytest-timeout,
 @,
Restrictions:
 allow-stderr,

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v([\d\.]+.*)$/python-django-celery-beat-$1/ \
https://github.com/celery/django-celery-beat/tags \
/celery/django-celery-beat/archive/refs/tags/v([\d\.]+)\.tar\.gz
